Package org.apache.ignite.internal.cache.query.index

## Enum SortOrder

- java.lang.Object
- - java.lang.Enum<SortOrder>
  - - org.apache.ignite.internal.cache.query.index.SortOrder

All Implemented Interfaces:
  `Serializable`, `Comparable<SortOrder>`

    public enum SortOrder
    extends Enum<SortOrder>

Enum of possible sort orders.

### Enum Constant Summary

Enum Constants
`ASC`
`DESC`

### Method Summary

All Methods Static Methods Concrete Methods
`static SortOrder` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static SortOrder[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ASC

    public static final SortOrder ASC

#### DESC

    public static final SortOrder DESC

### Method Detail

#### values

    public static SortOrder[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SortOrder c : SortOrder.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SortOrder valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null